import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import rem from '@/assets/js/rem.js'
import './utils/api'
// import 'babel-polyfill'
import 'lib-flexible/flexible'

import router from './route/index'

import VideoPlayer from 'vue-video-player'
require('video.js/dist/video-js.css')
// require('vue-video-player/src/custom-theme.css')
Vue.use(VideoPlayer)

// window.addEventListener('resize',function() {
//   rem.setRem()

// });
Vue.use(ElementUI);
Vue.config.productionTip = false

// 请求封装
import http from './utils/api.js'
Vue.prototype.$http = http
// 请求地址
import { baseUrl } from '@/utils/http.js'

new Vue({
  render: h => h(App),
  router
}).$mount('#app')
